Subject: Re: [PATCH] merge-recursive: handle file mode changes

From: Clemens Buchacher <[email-masked]>
Date: Fri, 14 Mar 2008 13:56:12 +0100

On Fri, Mar 14, 2008 at 01:17:10AM +0100, Jakub Narebski wrote:
> > Handle file mode changes similarly to changes of content. If the file mode
> > changed in only one branch, keep the changed version. If the file mode
> > changed in both branches, prompt the user to choose one by reporting a
> > conflict.
> 
> Shouldn't it print "CONFLICT(mode/mode)" then?

I think currently the only way to get a mode conflict is when a file is added
in both branches with different permissions, since we only track the executable
bit.

Clemens